<?php
// Load needed library
require 'config.php';
require 'PrizmPayClient/PrizmPayClient_PP.php';

// Handle place order request
if (filter_input(INPUT_GET, 'submit') == '1') {

    // Make RANDOM unique order reference code
    $orderRef = uniqid() . time();

    // Init. Payment Page Helper with target URL
    // Testing URL: https://pp-test.prizmmpay.com
    // Production URL: https://pp.prizmmpay.com
    $pp = new PrizmPayClient_PP($_REQUEST['url'], $_REQUEST['mid'], $_REQUEST['key']);

    // Set unique order reference code
    $pp->setReferenceCode($orderRef);

    // Set invoice no. [optional]
    $pp->setInvoiceID($orderRef);

    // Add order items
    if (isset($_REQUEST['item']) && is_array($_REQUEST['item'])) {
        foreach ($_REQUEST['item'] AS $key => $v) {
            $pp->addItem($v['name'], $v['quantity'], $v['unitPrice']);
        }
    }

    // Set order total and currency, currency must be 3 chars ISO currency code
    $pp->setGrandTotal($_REQUEST['totalPrice'], $_REQUEST['totalCurrency']);

    // Set billing address with array. if you don't known the item key in array, please use $pp->setBillingAddress() instead.
    $pp->setBillingAddressArray($_REQUEST['billTo']);

    // Set shipping addess with array. if you don't known the item key in array, please use $pp->setShippingAddress() instead.
    $pp->setShippingAddressArray($_REQUEST['shipTo']);

    // You also can get the html code for debug or reference
//    exit($pp->html(false));

    // Open payment page
    $pp->open();
}
?>
<!DOCTYPE html> 
<html>
    <head>
        <title>Online Shop Demo - Prizm Pay</title>

        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0">

        <link rel="stylesheet" href="http://voky.com.ua/showcase/sky-forms/examples/css/demo.css">
        <link rel="stylesheet" href="http://voky.com.ua/showcase/sky-forms/examples/css/sky-forms.css">
        <link rel="stylesheet" href="http://voky.com.ua/showcase/sky-forms/examples/css/sky-forms-purple.css">
        <!--[if lt IE 9]>
            <link rel="stylesheet" href="http://voky.com.ua/showcase/sky-forms/examples/css/sky-forms-ie8.css">
        <![endif]-->

        <!--[if lt IE 10]>
            <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
            <script src="http://voky.com.ua/showcase/sky-forms/examples/js/jquery.placeholder.min.js"></script>
        <![endif]-->		
        <!--[if lt IE 9]>
            <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
            <script src="http://voky.com.ua/showcase/sky-forms/examples/js/sky-forms-ie8.js"></script>
        <![endif]-->
    </head>
    <body class="bg-purple">
        <div class="body">

            <form action="?submit=1" method="post" class="sky-form" target="_blank" novalidate>
                <header>PrizmPay Checkout Example
                    <p class="note">Fill in the following information and try to make payment request</p>
                </header>

                <fieldset>
                    <div class="row">
                        <section class="col" style="width: 100%;">
                            <label class="input">
                                <input type="text" name="url" placeholder="URL" value="https://pp-test.prizmmpay.com">
                            </label>
                        </section>
                    </div>
                    <h2 style="margin-bottom: 20px;">Merchant Information</h2>
                    <div class="row">
                        <section class="col col-6">
                            <label class="input">
                                <input type="text" name="mid" placeholder="Merchant ID">
                            </label>
                        </section>
                        <section class="col col-6">
                            <label class="input">
                                <input type="text" name="key" placeholder="Merchant Sercet Key">
                            </label>
                        </section>
                    </div>
                </fieldset>
                <fieldset>

                    <h2 style="margin-bottom: 20px;">Order Information</h2>

                    <div class="item">
                        <div class="row">
                            <section class="col col-4">
                                <label class="input">
                                    <input type="text" class="item_name" name="item[0][name]" placeholder="item[0][name]">
                                </label>
                            </section>
                            <section class="col col-4">
                                <label class="input">
                                    <input type="text" class="item_quantity" name="item[0][quantity]" placeholder="item[0][quantity]">
                                </label>
                            </section>
                            <section class="col col-4">
                                <label class="input">
                                    <input type="text" class="item_unitPrice" name="item[0][unitPrice]" placeholder="item[0][unitPrice]">
                                </label>
                            </section>
                        </div>
                    </div>

                    <div class="row">
                        <section class="col col-6">
                            <label class="input">
                                <input type="button" value="Add item" id="add_item">
                            </label>
                        </section>
                    </div>



                    <div class="row">
                        <section class="col col-6">
                            <label class="input">
                                <input type="text" name="totalPrice" placeholder="Total Amount">
                            </label>
                        </section>
                        <section class="col col-6">
                            <label class="input">
                                <input type="text" name="totalCurrency" placeholder="Currency (HKD / USD)">
                            </label>
                        </section>
                    </div>
                </fieldset>

                <fieldset id="billing">				
                    <h2 style="margin-bottom: 20px;">Billing Information</h2>

                    <div class="row">
                        <section class="col col-6">
                            <label class="input">
                                <i class="icon-prepend icon-user"></i>
                                <input type="text" name="billTo[firstName]" placeholder="First name" class="i">
                            </label>
                        </section>
                        <section class="col col-6">
                            <label class="input">
                                <i class="icon-prepend icon-user"></i>
                                <input type="text" name="billTo[lastName]" placeholder="Last name" class="i">
                            </label>
                        </section>
                    </div>

                    <div class="row">
                        <section class="col col-6">
                            <label class="input">
                                <i class="icon-prepend icon-envelope-alt"></i>
                                <input type="email" name="billTo[email]" placeholder="E-mail" class="i">
                            </label>
                        </section>
                        <section class="col col-6">
                            <label class="input">
                                <i class="icon-prepend icon-phone"></i>
                                <input type="tel" name="billTo[phoneNumber]" placeholder="Phone" class="i">
                            </label>
                        </section>
                    </div>

                    <div class="row">
                        <section class="col col-6">
                            <label class="input">
                                <input type="text" name="billTo[street1]" placeholder="Street address 1" class="i">
                            </label>
                        </section>

                        <section class="col col-6">
                            <label class="input">
                                <input type="text" name="billTo[street2]" placeholder="Street address 2" class="i">
                            </label>
                        </section>
                    </div>

                    <div class="row">

                        <section class="col col-3">
                            <label class="input">
                                <input type="text" name="billTo[city]" placeholder="City" class="i">
                            </label>
                        </section>

                        <section class="col col-3">
                            <label class="input">
                                <input type="text" name="billTo[state]" placeholder="State" class="i">
                            </label>
                        </section>

                        <section class="col col-3">
                            <label class="select">
                                <select name="billTo[country]">
                                    <option selected disabled>Country</option>
                                    <option value="AF">Afghanistan</option>
                                    <option value="AL">Albania</option>
                                    <option value="AQ">Antarctica</option>
                                    <option value="DZ">Algeria</option>
                                    <option value="AS">American Samoa</option>
                                    <option value="AD">Andorra</option>
                                    <option value="AO">Angola</option>
                                    <option value="AG">Antigua and Barbuda</option>
                                    <option value="AZ">Azerbaijan</option>
                                    <option value="AR">Argentina</option>
                                    <option value="AU">Australia</option>
                                    <option value="AT">Austria</option>
                                    <option value="BS">Bahamas</option>
                                    <option value="BH">Bahrain</option>
                                    <option value="BD">Bangladesh</option>
                                    <option value="AM">Armenia</option>
                                    <option value="BB">Barbados</option>
                                    <option value="BE">Belgium</option>
                                    <option value="BM">Bermuda</option>
                                    <option value="BT">Bhutan</option>
                                    <option value="BO">Bolivia</option>
                                    <option value="BA">Bosnia and Herzegovina</option>
                                    <option value="BW">Botswana</option>
                                    <option value="BV">Bouvet Island</option>
                                    <option value="BR">Brazil</option>
                                    <option value="BZ">Belize</option>
                                    <option value="IO">British Indian Ocean Territory</option>
                                    <option value="SB">Solomon Islands</option>
                                    <option value="VG">Virgin Islands, British</option>
                                    <option value="BN">Brunei Darussalam</option>
                                    <option value="BG">Bulgaria</option>
                                    <option value="MM">Myanmar</option>
                                    <option value="BI">Burundi</option>
                                    <option value="BY">Belarus</option>
                                    <option value="KH">Cambodia</option>
                                    <option value="CM">Cameroon</option>
                                    <option value="CA">Canada</option>
                                    <option value="CV">Cape Verde</option>
                                    <option value="KY">Cayman Islands</option>
                                    <option value="CF">Central African Republic</option>
                                    <option value="LK">Sri Lanka</option>
                                    <option value="TD">Chad</option>
                                    <option value="CL">Chile</option>
                                    <option value="CN">China</option>
                                    <option value="TW">Taiwan, Province of China</option>
                                    <option value="CX">Christmas Island</option>
                                    <option value="CC">Cocos (Keeling) Islands</option>
                                    <option value="CO">Colombia</option>
                                    <option value="KM">Comoros</option>
                                    <option value="YT">Mayotte</option>
                                    <option value="CG">Congo</option>
                                    <option value="CD">Congo, Democratic Republic of the</option>
                                    <option value="CK">Cook Islands</option>
                                    <option value="CR">Costa Rica</option>
                                    <option value="HR">Croatia</option>
                                    <option value="CU">Cuba</option>
                                    <option value="CY">Cyprus</option>
                                    <option value="CZ">Czech Republic</option>
                                    <option value="BJ">Benin</option>
                                    <option value="DK">Denmark</option>
                                    <option value="DM">Dominica</option>
                                    <option value="DO">Dominican Republic</option>
                                    <option value="EC">Ecuador</option>
                                    <option value="SV">El Salvador</option>
                                    <option value="GQ">Equatorial Guinea</option>
                                    <option value="ET">Ethiopia</option>
                                    <option value="ER">Eritrea</option>
                                    <option value="EE">Estonia</option>
                                    <option value="FO">Faroe Islands</option>
                                    <option value="FK">Falkland Islands (Malvinas)</option>
                                    <option value="GS">South Georgia and the South Sandwich Islands</option>
                                    <option value="FJ">Fiji</option>
                                    <option value="FI">Finland</option>
                                    <option value="AX">Åland Islands</option>
                                    <option value="FR">France</option>
                                    <option value="GF">French Guiana</option>
                                    <option value="PF">French Polynesia</option>
                                    <option value="TF">French Southern Territories</option>
                                    <option value="DJ">Djibouti</option>
                                    <option value="GA">Gabon</option>
                                    <option value="GE">Georgia</option>
                                    <option value="GM">Gambia</option>
                                    <option value="PS">Palestinian Territory, Occupied</option>
                                    <option value="DE">Germany</option>
                                    <option value="GH">Ghana</option>
                                    <option value="GI">Gibraltar</option>
                                    <option value="KI">Kiribati</option>
                                    <option value="GR">Greece</option>
                                    <option value="GL">Greenland</option>
                                    <option value="GD">Grenada</option>
                                    <option value="GP">Guadeloupe[1]</option>
                                    <option value="GU">Guam</option>
                                    <option value="GT">Guatemala</option>
                                    <option value="GN">Guinea</option>
                                    <option value="GY">Guyana</option>
                                    <option value="HT">Haiti</option>
                                    <option value="HM">Heard Island and McDonald Islands</option>
                                    <option value="VA">Holy See (Vatican City State)</option>
                                    <option value="HN">Honduras</option>
                                    <option value="HK">Hong Kong</option>
                                    <option value="HU">Hungary</option>
                                    <option value="IS">Iceland</option>
                                    <option value="IN">India</option>
                                    <option value="ID">Indonesia</option>
                                    <option value="IR">Iran, Islamic Republic of</option>
                                    <option value="IQ">Iraq</option>
                                    <option value="IE">Ireland</option>
                                    <option value="IL">Israel</option>
                                    <option value="IT">Italy</option>
                                    <option value="CI">Côte d'Ivoire</option>
                                    <option value="JM">Jamaica</option>
                                    <option value="JP">Japan</option>
                                    <option value="KZ">Kazakhstan</option>
                                    <option value="JO">Jordan</option>
                                    <option value="KE">Kenya</option>
                                    <option value="KP">Korea, Democratic People's Republic of</option>
                                    <option value="KR">Korea, Republic of</option>
                                    <option value="KW">Kuwait</option>
                                    <option value="KG">Kyrgyzstan</option>
                                    <option value="LA">Lao People's Democratic Republic</option>
                                    <option value="LB">Lebanon</option>
                                    <option value="LS">Lesotho</option>
                                    <option value="LV">Latvia</option>
                                    <option value="LR">Liberia</option>
                                    <option value="LY">Libyan Arab Jamahiriya</option>
                                    <option value="LI">Liechtenstein</option>
                                    <option value="LT">Lithuania</option>
                                    <option value="LU">Luxembourg</option>
                                    <option value="MO">Macao</option>
                                    <option value="MG">Madagascar</option>
                                    <option value="MW">Malawi</option>
                                    <option value="MY">Malaysia</option>
                                    <option value="MV">Maldives</option>
                                    <option value="ML">Mali</option>
                                    <option value="MT">Malta</option>
                                    <option value="MQ">Martinique</option>
                                    <option value="MR">Mauritania</option>
                                    <option value="MU">Mauritius</option>
                                    <option value="MX">Mexico</option>
                                    <option value="MC">Monaco</option>
                                    <option value="MN">Mongolia</option>
                                    <option value="MD">Moldova, Republic of</option>
                                    <option value="ME">Montenegro</option>
                                    <option value="MS">Montserrat</option>
                                    <option value="MA">Morocco</option>
                                    <option value="MZ">Mozambique</option>
                                    <option value="OM">Oman</option>
                                    <option value="NA">Namibia</option>
                                    <option value="NR">Nauru</option>
                                    <option value="NP">Nepal</option>
                                    <option value="NL">Netherlands</option>
                                    <option value="AN">Netherlands Antilles</option>
                                    <option value="AW">Aruba</option>
                                    <option value="NC">New Caledonia</option>
                                    <option value="VU">Vanuatu</option>
                                    <option value="NZ">New Zealand</option>
                                    <option value="NI">Nicaragua</option>
                                    <option value="NE">Niger</option>
                                    <option value="NG">Nigeria</option>
                                    <option value="NU">Niue</option>
                                    <option value="NF">Norfolk Island</option>
                                    <option value="NO">Norway</option>
                                    <option value="MP">Northern Mariana Islands</option>
                                    <option value="UM">United States Minor Outlying Islands</option>
                                    <option value="FM">Micronesia, Federated States of</option>
                                    <option value="MH">Marshall Islands</option>
                                    <option value="PW">Palau</option>
                                    <option value="PK">Pakistan</option>
                                    <option value="PA">Panama</option>
                                    <option value="PG">Papua New Guinea</option>
                                    <option value="PY">Paraguay</option>
                                    <option value="PE">Peru</option>
                                    <option value="PH">Philippines</option>
                                    <option value="PN">Pitcairn</option>
                                    <option value="PL">Poland</option>
                                    <option value="PT">Portugal</option>
                                    <option value="GW">Guinea-Bissau</option>
                                    <option value="TL">Timor-Leste</option>
                                    <option value="PR">Puerto Rico</option>
                                    <option value="QA">Qatar</option>
                                    <option value="RE">Réunion</option>
                                    <option value="RO">Romania</option>
                                    <option value="RU">Russian Federation</option>
                                    <option value="RW">Rwanda</option>
                                    <option value="SH">Saint Helena</option>
                                    <option value="KN">Saint Kitts and Nevis</option>
                                    <option value="AI">Anguilla</option>
                                    <option value="LC">Saint Lucia</option>
                                    <option value="PM">Saint Pierre and Miquelon</option>
                                    <option value="VC">Saint Vincent and the Grenadines</option>
                                    <option value="SM">San Marino</option>
                                    <option value="ST">Sao Tome and Principe</option>
                                    <option value="SA">Saudi Arabia</option>
                                    <option value="SN">Senegal</option>
                                    <option value="RS">Serbia</option>
                                    <option value="SC">Seychelles</option>
                                    <option value="SL">Sierra Leone</option>
                                    <option value="SG">Singapore</option>
                                    <option value="SK">Slovakia</option>
                                    <option value="VN">Viet Nam</option>
                                    <option value="SI">Slovenia</option>
                                    <option value="SO">Somalia</option>
                                    <option value="ZA">South Africa</option>
                                    <option value="ZW">Zimbabwe</option>
                                    <option value="ES">Spain</option>
                                    <option value="EH">Western Sahara</option>
                                    <option value="SD">Sudan</option>
                                    <option value="SR">Suriname</option>
                                    <option value="SJ">Svalbard and Jan Mayen</option>
                                    <option value="SZ">Swaziland</option>
                                    <option value="SE">Sweden</option>
                                    <option value="CH">Switzerland</option>
                                    <option value="SY">Syrian Arab Republic</option>
                                    <option value="TJ">Tajikistan</option>
                                    <option value="TH">Thailand</option>
                                    <option value="TG">Togo</option>
                                    <option value="TK">Tokelau</option>
                                    <option value="TO">Tonga</option>
                                    <option value="TT">Trinidad and Tobago</option>
                                    <option value="AE">United Arab Emirates</option>
                                    <option value="TN">Tunisia</option>
                                    <option value="TR">Turkey</option>
                                    <option value="TM">Turkmenistan</option>
                                    <option value="TC">Turks and Caicos Islands</option>
                                    <option value="TV">Tuvalu</option>
                                    <option value="UG">Uganda</option>
                                    <option value="UA">Ukraine</option>
                                    <option value="MK">Macedonia, the former Yugoslav Republic of</option>
                                    <option value="EG">Egypt</option>
                                    <option value="GB">United Kingdom</option>
                                    <option value="GG">Guernsey</option>
                                    <option value="JE">Jersey</option>
                                    <option value="IM">Isle of Man</option>
                                    <option value="TZ">Tanzania, United Republic of</option>
                                    <option value="US">United States</option>
                                    <option value="VI">Virgin Islands, U.S.</option>
                                    <option value="BF">Burkina Faso</option>
                                    <option value="UY">Uruguay</option>
                                    <option value="UZ">Uzbekistan</option>
                                    <option value="VE">Venezuela</option>
                                    <option value="WF">Wallis and Futuna</option>
                                    <option value="WS">Samoa</option>
                                    <option value="YE">Yemen</option>
                                    <option value="ZM">Zambia</option>
                                </select>
                                <i></i>
                            </label>
                        </section>

                        <section class="col col-3">
                            <label class="input">
                                <input type="text" name="billTo[postalCode]" placeholder="Post Code" class="i">
                            </label>
                        </section>
                    </div>

                    <div class="row">
                        <div class="col col-12">
                            <label class="checkbox"><input type="checkbox" id="same"><i></i>Same as shipping address</label>
                        </div>
                    </div>
                </fieldset>


                <fieldset id="shipping">
                    <h2 style="margin-bottom: 20px;">Shipping Information</h2>
                    <div class="row">
                        <section class="col col-6">
                            <label class="input">
                                <i class="icon-prepend icon-user"></i>
                                <input type="text" name="shipTo[firstName]" placeholder="First name" class="i">
                            </label>
                        </section>
                        <section class="col col-6">
                            <label class="input">
                                <i class="icon-prepend icon-user"></i>
                                <input type="text" name="shipTo[lastName]" placeholder="Last name" class="i">
                            </label>
                        </section>
                    </div>

                    <div class="row">
                        <section class="col col-6">
                            <label class="input">
                                <i class="icon-prepend icon-envelope-alt"></i>
                                <input type="email" name="shipTo[email]" placeholder="E-mail" class="i">
                            </label>
                        </section>
                        <section class="col col-6">
                            <label class="input">
                                <i class="icon-prepend icon-phone"></i>
                                <input type="tel" name="shipTo[phoneNumber]" placeholder="Phone" class="i">
                            </label>
                        </section>
                    </div>

                    <div class="row">
                        <section class="col col-6">
                            <label class="input">
                                <input type="text" name="shipTo[street1]" placeholder="Street address 1" class="i">
                            </label>
                        </section>

                        <section class="col col-6">
                            <label class="input">
                                <input type="text" name="shipTo[street2]" placeholder="Street address 2" class="i">
                            </label>
                        </section>
                    </div>

                    <div class="row">
                        <section class="col col-3">
                            <label class="input">
                                <input type="text" name="shipTo[city]" placeholder="City" class="i">
                            </label>
                        </section>

                        <section class="col col-3">
                            <label class="input">
                                <input type="text" name="shipTo[state]" placeholder="State" class="i">
                            </label>
                        </section>

                        <section class="col col-3">
                            <label class="select">
                                <select name="shipTo[country]">
                                    <option value="0" selected disabled>Country</option>
                                    <option value="AF">Afghanistan</option>
                                    <option value="AL">Albania</option>
                                    <option value="AQ">Antarctica</option>
                                    <option value="DZ">Algeria</option>
                                    <option value="AS">American Samoa</option>
                                    <option value="AD">Andorra</option>
                                    <option value="AO">Angola</option>
                                    <option value="AG">Antigua and Barbuda</option>
                                    <option value="AZ">Azerbaijan</option>
                                    <option value="AR">Argentina</option>
                                    <option value="AU">Australia</option>
                                    <option value="AT">Austria</option>
                                    <option value="BS">Bahamas</option>
                                    <option value="BH">Bahrain</option>
                                    <option value="BD">Bangladesh</option>
                                    <option value="AM">Armenia</option>
                                    <option value="BB">Barbados</option>
                                    <option value="BE">Belgium</option>
                                    <option value="BM">Bermuda</option>
                                    <option value="BT">Bhutan</option>
                                    <option value="BO">Bolivia</option>
                                    <option value="BA">Bosnia and Herzegovina</option>
                                    <option value="BW">Botswana</option>
                                    <option value="BV">Bouvet Island</option>
                                    <option value="BR">Brazil</option>
                                    <option value="BZ">Belize</option>
                                    <option value="IO">British Indian Ocean Territory</option>
                                    <option value="SB">Solomon Islands</option>
                                    <option value="VG">Virgin Islands, British</option>
                                    <option value="BN">Brunei Darussalam</option>
                                    <option value="BG">Bulgaria</option>
                                    <option value="MM">Myanmar</option>
                                    <option value="BI">Burundi</option>
                                    <option value="BY">Belarus</option>
                                    <option value="KH">Cambodia</option>
                                    <option value="CM">Cameroon</option>
                                    <option value="CA">Canada</option>
                                    <option value="CV">Cape Verde</option>
                                    <option value="KY">Cayman Islands</option>
                                    <option value="CF">Central African Republic</option>
                                    <option value="LK">Sri Lanka</option>
                                    <option value="TD">Chad</option>
                                    <option value="CL">Chile</option>
                                    <option value="CN">China</option>
                                    <option value="TW">Taiwan, Province of China</option>
                                    <option value="CX">Christmas Island</option>
                                    <option value="CC">Cocos (Keeling) Islands</option>
                                    <option value="CO">Colombia</option>
                                    <option value="KM">Comoros</option>
                                    <option value="YT">Mayotte</option>
                                    <option value="CG">Congo</option>
                                    <option value="CD">Congo, Democratic Republic of the</option>
                                    <option value="CK">Cook Islands</option>
                                    <option value="CR">Costa Rica</option>
                                    <option value="HR">Croatia</option>
                                    <option value="CU">Cuba</option>
                                    <option value="CY">Cyprus</option>
                                    <option value="CZ">Czech Republic</option>
                                    <option value="BJ">Benin</option>
                                    <option value="DK">Denmark</option>
                                    <option value="DM">Dominica</option>
                                    <option value="DO">Dominican Republic</option>
                                    <option value="EC">Ecuador</option>
                                    <option value="SV">El Salvador</option>
                                    <option value="GQ">Equatorial Guinea</option>
                                    <option value="ET">Ethiopia</option>
                                    <option value="ER">Eritrea</option>
                                    <option value="EE">Estonia</option>
                                    <option value="FO">Faroe Islands</option>
                                    <option value="FK">Falkland Islands (Malvinas)</option>
                                    <option value="GS">South Georgia and the South Sandwich Islands</option>
                                    <option value="FJ">Fiji</option>
                                    <option value="FI">Finland</option>
                                    <option value="AX">Åland Islands</option>
                                    <option value="FR">France</option>
                                    <option value="GF">French Guiana</option>
                                    <option value="PF">French Polynesia</option>
                                    <option value="TF">French Southern Territories</option>
                                    <option value="DJ">Djibouti</option>
                                    <option value="GA">Gabon</option>
                                    <option value="GE">Georgia</option>
                                    <option value="GM">Gambia</option>
                                    <option value="PS">Palestinian Territory, Occupied</option>
                                    <option value="DE">Germany</option>
                                    <option value="GH">Ghana</option>
                                    <option value="GI">Gibraltar</option>
                                    <option value="KI">Kiribati</option>
                                    <option value="GR">Greece</option>
                                    <option value="GL">Greenland</option>
                                    <option value="GD">Grenada</option>
                                    <option value="GP">Guadeloupe[1]</option>
                                    <option value="GU">Guam</option>
                                    <option value="GT">Guatemala</option>
                                    <option value="GN">Guinea</option>
                                    <option value="GY">Guyana</option>
                                    <option value="HT">Haiti</option>
                                    <option value="HM">Heard Island and McDonald Islands</option>
                                    <option value="VA">Holy See (Vatican City State)</option>
                                    <option value="HN">Honduras</option>
                                    <option value="HK">Hong Kong</option>
                                    <option value="HU">Hungary</option>
                                    <option value="IS">Iceland</option>
                                    <option value="IN">India</option>
                                    <option value="ID">Indonesia</option>
                                    <option value="IR">Iran, Islamic Republic of</option>
                                    <option value="IQ">Iraq</option>
                                    <option value="IE">Ireland</option>
                                    <option value="IL">Israel</option>
                                    <option value="IT">Italy</option>
                                    <option value="CI">Côte d'Ivoire</option>
                                    <option value="JM">Jamaica</option>
                                    <option value="JP">Japan</option>
                                    <option value="KZ">Kazakhstan</option>
                                    <option value="JO">Jordan</option>
                                    <option value="KE">Kenya</option>
                                    <option value="KP">Korea, Democratic People's Republic of</option>
                                    <option value="KR">Korea, Republic of</option>
                                    <option value="KW">Kuwait</option>
                                    <option value="KG">Kyrgyzstan</option>
                                    <option value="LA">Lao People's Democratic Republic</option>
                                    <option value="LB">Lebanon</option>
                                    <option value="LS">Lesotho</option>
                                    <option value="LV">Latvia</option>
                                    <option value="LR">Liberia</option>
                                    <option value="LY">Libyan Arab Jamahiriya</option>
                                    <option value="LI">Liechtenstein</option>
                                    <option value="LT">Lithuania</option>
                                    <option value="LU">Luxembourg</option>
                                    <option value="MO">Macao</option>
                                    <option value="MG">Madagascar</option>
                                    <option value="MW">Malawi</option>
                                    <option value="MY">Malaysia</option>
                                    <option value="MV">Maldives</option>
                                    <option value="ML">Mali</option>
                                    <option value="MT">Malta</option>
                                    <option value="MQ">Martinique</option>
                                    <option value="MR">Mauritania</option>
                                    <option value="MU">Mauritius</option>
                                    <option value="MX">Mexico</option>
                                    <option value="MC">Monaco</option>
                                    <option value="MN">Mongolia</option>
                                    <option value="MD">Moldova, Republic of</option>
                                    <option value="ME">Montenegro</option>
                                    <option value="MS">Montserrat</option>
                                    <option value="MA">Morocco</option>
                                    <option value="MZ">Mozambique</option>
                                    <option value="OM">Oman</option>
                                    <option value="NA">Namibia</option>
                                    <option value="NR">Nauru</option>
                                    <option value="NP">Nepal</option>
                                    <option value="NL">Netherlands</option>
                                    <option value="AN">Netherlands Antilles</option>
                                    <option value="AW">Aruba</option>
                                    <option value="NC">New Caledonia</option>
                                    <option value="VU">Vanuatu</option>
                                    <option value="NZ">New Zealand</option>
                                    <option value="NI">Nicaragua</option>
                                    <option value="NE">Niger</option>
                                    <option value="NG">Nigeria</option>
                                    <option value="NU">Niue</option>
                                    <option value="NF">Norfolk Island</option>
                                    <option value="NO">Norway</option>
                                    <option value="MP">Northern Mariana Islands</option>
                                    <option value="UM">United States Minor Outlying Islands</option>
                                    <option value="FM">Micronesia, Federated States of</option>
                                    <option value="MH">Marshall Islands</option>
                                    <option value="PW">Palau</option>
                                    <option value="PK">Pakistan</option>
                                    <option value="PA">Panama</option>
                                    <option value="PG">Papua New Guinea</option>
                                    <option value="PY">Paraguay</option>
                                    <option value="PE">Peru</option>
                                    <option value="PH">Philippines</option>
                                    <option value="PN">Pitcairn</option>
                                    <option value="PL">Poland</option>
                                    <option value="PT">Portugal</option>
                                    <option value="GW">Guinea-Bissau</option>
                                    <option value="TL">Timor-Leste</option>
                                    <option value="PR">Puerto Rico</option>
                                    <option value="QA">Qatar</option>
                                    <option value="RE">Réunion</option>
                                    <option value="RO">Romania</option>
                                    <option value="RU">Russian Federation</option>
                                    <option value="RW">Rwanda</option>
                                    <option value="SH">Saint Helena</option>
                                    <option value="KN">Saint Kitts and Nevis</option>
                                    <option value="AI">Anguilla</option>
                                    <option value="LC">Saint Lucia</option>
                                    <option value="PM">Saint Pierre and Miquelon</option>
                                    <option value="VC">Saint Vincent and the Grenadines</option>
                                    <option value="SM">San Marino</option>
                                    <option value="ST">Sao Tome and Principe</option>
                                    <option value="SA">Saudi Arabia</option>
                                    <option value="SN">Senegal</option>
                                    <option value="RS">Serbia</option>
                                    <option value="SC">Seychelles</option>
                                    <option value="SL">Sierra Leone</option>
                                    <option value="SG">Singapore</option>
                                    <option value="SK">Slovakia</option>
                                    <option value="VN">Viet Nam</option>
                                    <option value="SI">Slovenia</option>
                                    <option value="SO">Somalia</option>
                                    <option value="ZA">South Africa</option>
                                    <option value="ZW">Zimbabwe</option>
                                    <option value="ES">Spain</option>
                                    <option value="EH">Western Sahara</option>
                                    <option value="SD">Sudan</option>
                                    <option value="SR">Suriname</option>
                                    <option value="SJ">Svalbard and Jan Mayen</option>
                                    <option value="SZ">Swaziland</option>
                                    <option value="SE">Sweden</option>
                                    <option value="CH">Switzerland</option>
                                    <option value="SY">Syrian Arab Republic</option>
                                    <option value="TJ">Tajikistan</option>
                                    <option value="TH">Thailand</option>
                                    <option value="TG">Togo</option>
                                    <option value="TK">Tokelau</option>
                                    <option value="TO">Tonga</option>
                                    <option value="TT">Trinidad and Tobago</option>
                                    <option value="AE">United Arab Emirates</option>
                                    <option value="TN">Tunisia</option>
                                    <option value="TR">Turkey</option>
                                    <option value="TM">Turkmenistan</option>
                                    <option value="TC">Turks and Caicos Islands</option>
                                    <option value="TV">Tuvalu</option>
                                    <option value="UG">Uganda</option>
                                    <option value="UA">Ukraine</option>
                                    <option value="MK">Macedonia, the former Yugoslav Republic of</option>
                                    <option value="EG">Egypt</option>
                                    <option value="GB">United Kingdom</option>
                                    <option value="GG">Guernsey</option>
                                    <option value="JE">Jersey</option>
                                    <option value="IM">Isle of Man</option>
                                    <option value="TZ">Tanzania, United Republic of</option>
                                    <option value="US">United States</option>
                                    <option value="VI">Virgin Islands, U.S.</option>
                                    <option value="BF">Burkina Faso</option>
                                    <option value="UY">Uruguay</option>
                                    <option value="UZ">Uzbekistan</option>
                                    <option value="VE">Venezuela</option>
                                    <option value="WF">Wallis and Futuna</option>
                                    <option value="WS">Samoa</option>
                                    <option value="YE">Yemen</option>
                                    <option value="ZM">Zambia</option>
                                </select>
                                <i></i>
                            </label>
                        </section>

                        <section class="col col-3">
                            <label class="input">
                                <input type="text" name="shipTo[postalCode]" placeholder="Post Code" class="i">
                            </label>
                        </section>
                    </div>
                </fieldset>

                <footer>
                    <button type="submit" class="button">Place Order</button>
                </footer>
            </form>

        </div>
        <script type="text/javascript">
            if (typeof jQuery === 'undefined') {
                document.write(unescape("%3Cscript src='http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js' type='text/javascript'%3E%3C/script%3E"));
            }
        </script>
        <script type="text/javascript">
            $(function() {
                // Add new item row
                $('#add_item').on('click', function() {
                    var $obj = $('.item').eq(0).clone();
                    var index = 'item[' + $('.item').length + ']';
                    $obj.find('.item_name').attr({'name': index + '[name]', placeholder: index + '[name]'});
                    $obj.find('.item_unitPrice').attr({'name': index + '[unitPrice]', placeholder: index + '[unitPrice]'});
                    $obj.find('.item_quantity').attr({'name': index + '[quantity]', placeholder: index + '[quantity]'});
                    $obj.insertAfter($('.item').last());
                });


                $('#same').on('change', function() {
                    var on = $(this).is(':checked');
                    if (on === true) {
                        $('#billing .i').each(function() {
                            var i = $(this).index('.i'), value = $(this).val();
                            $('#shipping .i').eq(i).val(value);
                        });
                        var si = $('select[name="billTo[country]"] option:selected').val();
                        $('select[name="shipTo[country]"] option[value="' + si + '"]').attr('selected', 'selected');

                        $('#shipping').hide();
                    } else {
                        $('#shipping').show();
                    }
                    ;
                });
            });
        </script>
    </body>
</html>